<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('baptemes', function (Blueprint $table) {
            $table->id();
            $table->string('lieu');
            $table->date('date');
            $table->unsignedBigInteger('personne_id');
            $table->timestamps();
            $table->foreign('personne_id')->references('id')->on('personnes')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('baptemes');
    }
};